/**
 *
 * Copyright (c) 2006-2019, Speedment, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); You may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.speedment.common.rest;

/**
 * A query parameter that will become part of the command URL.
 * 
 * @author  Emil Forslund
 * @since   1.0.0
 */
public final class Param extends AbstractOption {
    
    /**
     * Returns a new {@code Param} option. This method is intended to be
     * imported statically.
     * 
     * @param key    the key
     * @param value  the value
     * @return       the created header
     */
    public static Param param(String key, String value) {
        return new Param(key, value);
    }

    @Override
    public Type getType() {
        return Option.Type.PARAM;
    }
    
    private Param(String key, String value) {
        super(key, value);
    }
}